Name:           yubikey-manager
Version:        4.0.9
Release:        %mkrel 2
Summary:        Yubikey manager CLI
Group:          Security
License:        BSD-like
URL:            https://developers.yubico.com/yubikey-manager/
Source0:        https://developers.yubico.com/yubikey-manager/Releases/yubikey-manager-%{version}.tar.gz
Patch1:         yubikey-manager-reqs.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
Recommends:     pcsc-lite
# This contains the udev rules for setting device permissions
Recommends:     ykpers
%{?python_provide:%python_provide python3-%{name}}
Obsoletes:      python3-yubikey-manager < 4.0.9
Provides:       python3-yubikey-manager = %{version}-%{release}

%description
Yubikey manager command-line tool for configuring any YubiKey security key over
USB.

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ykman yubikit

#check
# DO NOT ATTEMPT TO RUN the TESTS!
# They will delete all data on a connected Yubikey

%files -f %{pyproject_files}
%doc NEWS README.adoc
%license COPYING
%{_bindir}/ykman


%changelog
* Tue Feb 28 2023 wally <wally> 4.0.9-2.mga9
+ Revision: 1945746
- obsolete and provide python3-yubikey-manager (mga#31607)
- switch to dynamic buildrequires

* Mon Sep 12 2022 wally <wally> 4.0.9-1.mga9
+ Revision: 1887512
- new version 4.0.9

* Wed Mar 23 2022 umeabot <umeabot> 4.0.8-2.mga9
+ Revision: 1822733
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 danf <danf> 4.0.8-1.mga9
+ Revision: 1775062
- Update to ver. 4.0.8

* Mon Feb 14 2022 tmb <tmb> 3.1.1-4.mga9
+ Revision: 1774805
- rebuild for python 3.10

* Sun Mar 21 2021 neoclust <neoclust> 3.1.1-3.mga9
+ Revision: 1706799
- Rebuild against python 3.9

* Thu Mar 26 2020 danf <danf> 3.1.1-2.mga8
+ Revision: 1560819
- Add Recommends: ykpers for the udev rules to set Yubikey permissions

* Sat Mar 14 2020 danf <danf> 3.1.1-1.mga8
+ Revision: 1556226
- imported package yubikey-manager

